Skip to content

List available photos

GET
/cms/photo
curl --request GET \
--url https://api.example.com/cms/photo \
--header 'API-Key: <API-Key>'

Returns a list of available photos.

limit
integer
>= 1 <= 200
page
integer
>= 1
anything
string

Search term that matches any field

name
string
description
string
photographer
string
location
string
people
string
source
string
keywords
string
date_from
string format: date
date_to
string format: date
user
integer

User ID of the uploader

parent
integer

Parent content ID

ids

Comma-separated attachment ids

string
lowres
string

If set, only return low-resolution photos

show_dupes
string

If set, include duplicate or re-used photos in the results

Photo results

Media typeapplication/json
object
page
integer
total
integer
data
Array<object>
Attachment

API representation of an attachment (images, video, files)

object
id

Attachment ID

integer format: int64
name

Name

string
nullable
description

Description

string
nullable
type

Type (image|video|file)

string
url

Public URL

string
nullable
width

Width in pixels

integer format: int32
height

Height in pixels

integer format: int32
focal

Focal point as “x% y%”

string
nullable
transforms

Transforms (list of available image transforms)

Array<object>
object
x

Width in pixels

integer format: int32
y

Height in pixels

integer format: int32
url

URL of the transformed image

string
urls

Additional urls per transform

object
url_medium

Search title

string
url_highres

Search description

string
url_original

Social title

string
video
One of:
Video

API representation of a video

object
id

Video ID

integer format: int64
title

Title

string
url

URL

string
duration

Duration in seconds

integer format: int64
number

Episode number

integer format: int64
nullable
status

Status

string
showId

Show ID

integer format: int64
nullable
showName

Show name

string
nullable
showUrl

Show URL

string
nullable
brief

Brief

string
nullable
thumbnail

Thumbnail URL

string
nullable
thumbnailPlay

ThumbnailPlay URL

string
nullable
filename

Filename/URL

string
nullable
publishDate

Publish date

string
nullable
views

Views

integer format: int64
publish

Publish flag

nullable
formats

Formats

Array<object>
nullable
Video_Format

API representation of a video format

object
format

Format

string
filename

Filename/URL

string
cdnPath

CDN path

string
nullable
mime

MIME type

string
duration

Duration in seconds

integer format: int32
nullable

Example generated

{
"page": 1,
"total": 1,
"data": [
{
"id": 1,
"name": "example",
"description": "example",
"type": "example",
"url": "example",
"width": 1,
"height": 1,
"focal": "example",
"transforms": [
{
"x": 1,
"y": 1,
"url": "example"
}
],
"urls": {
"url_medium": "example",
"url_highres": "example",
"url_original": "example"
},
"video": {
"id": 1,
"title": "example",
"url": "example",
"duration": 1,
"number": 1,
"status": "example",
"showId": 1,
"showName": "example",
"showUrl": "example",
"brief": "example",
"thumbnail": "example",
"thumbnailPlay": "example",
"filename": "example",
"publishDate": "example",
"views": 1,
"publish": "example",
"formats": [
{
"format": "example",
"filename": "example",
"cdnPath": "example",
"mime": "example"
}
]
},
"duration": 1
}
]
}